
package de.ivu.elect.business.kandidatur.boundary;

import java.util.ArrayList;
import java.util.List;

import de.ivu.elect.business.datei.entity.DateiImportBerichtCustomData;

public class WahlvorschlagDateiImportBericht extends DateiImportBerichtCustomData {

  private static final long serialVersionUID = 1L;

  private long importierteListen = 0;

  private long importierteDirektkandidaturen = 0;

  private long importierteListenkandidaturen = 0;

  private long importierteErsatzkandidaturen = 0;

  private long importierteVerknuepfungen = 0;

  @Deprecated // ELECT-6641
  private final transient List unveraenderteWahlvorschlaege = new ArrayList<>();

  private final List<String> unveraenderteWahlvorschlaegeMessage = new ArrayList<>();

  public long getImportierteListen() {
    return importierteListen;
  }

  public void increaseListen(long delta) {
    importierteListen += delta;
  }

  public long getImportierteDirektkandidaturen() {
    return importierteDirektkandidaturen;
  }

  public void increaseDirektkandidaturen(long delta) {
    importierteDirektkandidaturen += delta;
  }

  public long getImportierteListenkandidaturen() {
    return importierteListenkandidaturen;
  }

  public void increaseListenkandidaturen(long delta) {
    importierteListenkandidaturen += delta;
  }

  public long getImportierteErsatzkandidaturen() {
    return importierteErsatzkandidaturen;
  }

  public void increaseErsatzkandidaturen(long delta) {
    importierteErsatzkandidaturen += delta;
  }

  public long getImportierteVerknuepfungen() {
    return importierteVerknuepfungen;
  }

  public void increaseVerknuepfungen(long delta) {
    importierteVerknuepfungen += delta;
  }

  public List<String> getIgnorierteWahlvorschlaegeMessages() {
    return unveraenderteWahlvorschlaegeMessage;
  }

  public void addUnveraenderterWahlvorschlag(String wahlvorschlagMessage) {
    unveraenderteWahlvorschlaegeMessage.add(wahlvorschlagMessage);
  }

  @Override
  public String toString() {
    return "WahlvorschlagDateiImportBericht{" +
        "importierteListen=" + importierteListen +
        ", importierteDirektkandidaturen=" + importierteDirektkandidaturen +
        ", importierteListenkandidaturen=" + importierteListenkandidaturen +
        ", importierteErsatzkandidaturen=" + importierteErsatzkandidaturen +
        ", importierteVerknuepfungen=" + importierteVerknuepfungen +
        ", unveraenderteWahlvorschlaegeMessage=" + unveraenderteWahlvorschlaegeMessage +
        "} " + super.toString();
  }
}
